### Signal

# Atk Object::children-changed

#### Declaration

    void
    children_changed (
      AtkObject* self,
      guint arg1,
      AtkObject* arg2,
      gpointer user_data
    )

#### Description [src]

The signal “children-changed” is emitted when a child is added or removed from an object. It supports two details: “add” and “remove”.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`arg1`

  Type: `guint`

  The index of the added or removed child. The value can be -1. This is used if the value is not known by the implementor when the child is added/removed or irrelevant.

`arg2`

  Type: `AtkObject`

  A gpointer to the child AtkObject which was added or removed. If the child was removed, it is possible that it is not available for the implementor. In that case this pointer can be NULL.

  The data is owned by the caller of the function.